Package: io.vertx.groovy.servicediscovery.types

## [Groovy] Class JDBCDataSource

- io.vertx.groovy.servicediscovery.types.JDBCDataSource

- Authors:
    Clement Escoffier

- - ### Constructor Summary

    Constructors
    Constructor and description
    `JDBCDataSource (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static java.util.Map<java.lang.String, java.lang.Object>` | `createRecord(java.lang.String name, java.util.Map<java.lang.String, java.lang.Object> location, java.util.Map<java.lang.String, java.lang.Object> metadata)`
    `java.lang.Object` | `getDelegate()`
    `static void` | `getJDBCClient(ServiceDiscovery discovery, java.util.Map<java.lang.String, java.lang.Object> filter, io.vertx.core.Handler<io.vertx.core.AsyncResult<JDBCClient>> resultHandler)` Convenient method that looks for a JDBC datasource source and provides the configured JDBCClient.
    `static void` | `getJDBCClient(ServiceDiscovery discovery, java.util.Map<java.lang.String, java.lang.Object> filter, java.util.Map<java.lang.String, java.lang.Object> consumerConfiguration, io.vertx.core.Handler<io.vertx.core.AsyncResult<JDBCClient>> resultHandler)` Convenient method that looks for a JDBC datasource source and provides the configured JDBCClient.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### JDBCDataSource(java.lang.Object delegate)

  - ### Method Detail

    - #### static java.util.Map<java.lang.String, java.lang.Object> createRecord(java.lang.String name, java.util.Map<java.lang.String, java.lang.Object> location, java.util.Map<java.lang.String, java.lang.Object> metadata)

    - #### java.lang.Object getDelegate()

    - #### static void getJDBCClient(ServiceDiscovery discovery, java.util.Map<java.lang.String, java.lang.Object> filter, io.vertx.core.Handler<io.vertx.core.AsyncResult<JDBCClient>> resultHandler)

      Convenient method that looks for a JDBC datasource source and provides the configured JDBCClient. The async result is marked as failed is there are no matching services, or if the lookup fails.

      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
        `resultHandler` - The result handler

    - #### static void getJDBCClient(ServiceDiscovery discovery, java.util.Map<java.lang.String, java.lang.Object> filter, java.util.Map<java.lang.String, java.lang.Object> consumerConfiguration, io.vertx.core.Handler<io.vertx.core.AsyncResult<JDBCClient>> resultHandler)

      Convenient method that looks for a JDBC datasource source and provides the configured JDBCClient. The async result is marked as failed is there are no matching services, or if the lookup fails.

      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
        `consumerConfiguration` - the consumer configuration
        `resultHandler` - the result handler